Summary:	Skeleton package which defines a base of PLD system
Summary(pl.UTF-8):	Pakiet szkieletowy który określa podstawę systemu PLD
Summary(ru.UTF-8):	Базовый пакет, определяющий систему PLD Linux Distribution
Summary(uk.UTF-8):	Базовий пакет, який визначає систему PLD Linux Distribution
Name:		basesystem
Version:	2.99
Release:	9
Epoch:		2
License:	GPL
Group:		Base
Requires:	FHS
Requires:	dev
Requires:	setup
Obsoletes:	vserver-basesystem
# obsoletes for removed packages
Obsoletes:	bdflush
Obsoletes:	gir-repository
Obsoletes:	gir-repository-devel
Obsoletes:	gmc
Obsoletes:	gnome
Obsoletes:	gnome-admin
Obsoletes:	gnome-netstatus
Obsoletes:	gnome-utils
Obsoletes:	gnome-utils-floppy
Obsoletes:	gwp
Obsoletes:	libgail-gnome
Obsoletes:	libgail-gnome-devel
Obsoletes:	libgail-gnome-static
Obsoletes:	libtelepathy
Obsoletes:	libtelepathy-devel
Obsoletes:	xwpick
%ifarch alpha
Obsoletes:	gfax
%endif
# GNOME 1.x stuff dropped in Ac
Obsoletes:	gda1-ldap
Obsoletes:	gda1-mysql
Obsoletes:	gda1-odbc
Obsoletes:	gda1-postgres
Obsoletes:	gnome-db
Obsoletes:	gnome-db-devel
Obsoletes:	gnome-db-static
Obsoletes:	libgda1-clientcpp
Obsoletes:	libgda1-clientcpp-devel
Obsoletes:	libgda1-devel
Obsoletes:	libgda1-static
Obsoletes:	libglade-gnomedb
Obsoletes:	libglade-gnomedb-devel
Obsoletes:	libglade-gnomedb-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_enable_debug_packages	0

%description
While this package does not contain any files, it does perform an
important function. It defines the very basic components of PLD Linux
Distribution, providing packages install in right order and obsoletes
some packages which have been removed from distribution and don't have
direct replacements.

%description -l pl.UTF-8
Mimo że ten pakiet nie zawiera żadnych plików, ma on bardzo ważne
zadanie. Definiuje najbardziej podstawowe komponenty dystrybucji PLD,
zapewniając tym samym właściwy porządek instalacji pakietów, a
jednocześnie powoduje odinstalowanie niektórych przestarzałych
pakietów usuniętych z dystrybucji, nie mających bezpośrednich
zamienników.

%description -l ru.UTF-8
Хотя этот пакет и не содержит никаких файлов, он выполняет важную
функцию - определяет компоненты базовой системы PLD Linux
Distribution, такие как порядок установки пакетов в процессе
первоначальной инсталляции. Этот пакет должен устанавливаться в
систему первым и никогда не удаляться.

%description -l uk.UTF-8
Хоч цей пакет і не містить ніяких файлів, він виконує важливу функцію
- визначає компоненти базової системи PLD Linux Distribution, такі як
послідовність встановлення пакетів в процесі початкової інсталяції.
Цей пакет повинен встановлюватись у систему першим і ніколи не
видалятись.

%prep

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%changelog
* Sun Mar 22 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/basesystem.git;a=log;h=master

* Sun Mar 22 2015 Jan Rękorajski <baggins@pld-linux.org> 8468fa4
- release 9 (by relup.sh)

* Wed Mar 28 2012 Marcin Banasiak <marcin.banasiak@gmail.com> bcfc9af
- O: gnome-utils and all packages obsoleted by gnome-utils

* Wed Sep 21 2011 Marcin Banasiak <marcin.banasiak@gmail.com> c4d51cf
- Obsoletes: gnome-netstatus and libgail-gnome-*
- release 8

* Mon Oct 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e4e1ea3
- rel 7; gir-repository is gone

* Thu May 27 2010 Patryk Zawadzki <patrys@room-303.com> bd8087b
- O: libtelepathy{,-devel}
- rel 6

* Tue Oct 28 2008 Jakub Bogusz <qboosh@pld-linux.org> 58df0a8
- descs closer to reality

* Mon Oct 27 2008 pawelz <pawelz@pld-linux.org> 8885694
- typo

* Mon Oct 27 2008 Elan Ruusamäe <glen@pld-linux.org> cea5e03
- we are PLD Linux, not just PLD

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> fd77033
- rel 5

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e0abaef
- release 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 4244b31
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 32ce6f7
- converted to UTF-8

* Mon Oct 30 2006 Elan Ruusamäe <glen@pld-linux.org> 9c0fccc
- adapter

* Thu Nov 24 2005 Jakub Bogusz <qboosh@pld-linux.org> a8bec51
- Obsoletes: vserver-basesystem

* Sun May 01 2005 ankry <ankry@pld-linux.org> 11bb11f
- rel. 3

* Sun May 01 2005 Jakub Bogusz <qboosh@pld-linux.org> 7a6ea4e
- no longer noarch

* Sun May 01 2005 Jakub Bogusz <qboosh@pld-linux.org> c5f6a0f
- Obsoletes: bdflush

* Sun Mar 27 2005 havner <havner@pld-linux.org> 0d34204
- obsoletes for gda1 and dependant

* Sun Mar 27 2005 havner <havner@pld-linux.org> 822854c
- let's keep obsoletes in one place, basesystem is imo better for that

* Wed Dec 08 2004 Mariusz Mazur <mmazur@pld-linux.org> a91ad94
- ver 2.99-1 for th

